package common

import (
	"log"
	"sync"
)

var logger *log.Logger
var lOnce sync.Once

func GetLog() *log.Logger {
	lOnce.Do(func() {
		initLog()
	})
	return logger
}

func initLog() {
	logger = log.Default()
	logger.SetFlags(log.Llongfile | log.Ltime | log.Ldate)
}
